HomeUser GuidesAPI Reference
Get Started
HomeAPI Reference
Authentication
Branches
Contact Groups
Contacts
Conversations
Error HandlingInvoices
Messages
Orders
Rate LimitingSDKs & Code ExamplesTemplatesTicketsAPI VersioningWABA NumbersWebhooks
User GuideAPI ReferenceMessagesSend CTA URL Message

Send CTA URL Message

Send messages with external link buttons

Reading time: 1 minute

Send CTA URL Message

Send messages with external link buttons.

POST{{base_url}}/w/message/cta_url

Query Parameters

ParameterTypeRequiredDescription
phone_number_idstringYesPhone number ID of the sender

Request Body (JSON)

ParameterTypeRequiredDescription
phonestringYesRecipient phone number
body_textstringYesMessage text
display_textstringYesButton text (max 20 characters)
urlstringYesFull URL (must start with https://)
header_textstringNoHeader text
footer_textstringNoFooter text

URL Requirements:

  • Must start with https:// (not http://)
  • Must be a valid and accessible URL

Example Request

Example Requestbash
curl -X POST "{{base_url}}/w/message/cta_url?phone_number_id=123456" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "X-Awal-Signature-256: sha256=abc..." \
-H "X-Timestamp: 1704124800" \
-H "X-Domain: your-workspace" \
-H "X-Client-ID: your-client-id" \
-d '{
  "phone": "96650000000",
  "header_text": "šŸŽ Exclusive Offer",
  "body_text": "Get 50% off on your first order! Don't miss this golden opportunity.",
  "footer_text": "Offer ends soon",
  "display_text": "Shop Now",
  "url": "https://example.com/special-offer"
}'

Related

← Back to Messages
View Guide
View